<?php

/**
 * Settings for the Mykoob plugin
 *
 * @package    auth_mykoob
 * @author     Ilmars Poikans <ilmars.poikans@gmail.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

if (!defined('MOODLE_INTERNAL')) {
	die('Direct access to this script is forbidden.'); // It must be included from a Moodle page
}


$settings->add(new admin_setting_configtext('auth_mykoob/api_server', get_string('config_api_server', 'auth_mykoob'),
                   get_string('config_api_server_description', 'auth_mykoob'), 'https://www.mykoob.lv'));

$settings->add(new admin_setting_configtext('auth_mykoob/client_id', get_string('config_client_id', 'auth_mykoob'),
                   get_string('config_client_id_description', 'auth_mykoob'), ''));

$settings->add(new admin_setting_configtext('auth_mykoob/client_secret', get_string('config_client_secret', 'auth_mykoob'),
                   get_string('config_client_secret_description', 'auth_mykoob'), ''));

$settings->add(new admin_setting_configtext('auth_mykoob/callback_url', get_string('config_callback_url', 'auth_mykoob'),
                   get_string('config_callback_url_description', 'auth_mykoob'), $CFG->wwwroot . '/auth/mykoob/callback.php'));

$settings->add(new admin_setting_configtext('auth_mykoob/schools_allowed', get_string('config_schools_allowed', 'auth_mykoob'),
                   get_string('config_schools_allowed_description', 'auth_mykoob'), ''));

$settings->add(new admin_setting_configtext('auth_mykoob/user_prefix', get_string('config_user_prefix', 'auth_mykoob'),
                   get_string('config_user_prefix_description', 'auth_mykoob'), 'mykoob_'));


$settings->add(new admin_setting_heading('auth_mykob/field_lock', get_string('config_field_locks', 'auth_mykoob'),
                   get_string('config_field_locks_description', 'auth_mykoob')));

$lockoptions = array ('locked'          => get_string('locked', 'auth'),
                      'unlockedifempty' => get_string('unlockedifempty', 'auth'),
                      'unlocked'        => get_string('unlocked', 'auth'));

$settings->add(new admin_setting_configselect('auth_mykoob/field_lock_email', get_string('email'), '', 'locked', $lockoptions));
$settings->add(new admin_setting_configselect('auth_mykoob/field_lock_firstname', get_string('firstname'), '', 'locked', $lockoptions));
$settings->add(new admin_setting_configselect('auth_mykoob/field_lock_lastname', get_string('lastname'), '', 'locked', $lockoptions));
$settings->add(new admin_setting_configselect('auth_mykoob/field_lock_country', get_string('country'), '', 'locked', $lockoptions));
$settings->add(new admin_setting_configselect('auth_mykoob/field_lock_city', get_string('city'), '', 'locked', $lockoptions));

